import { defineConfig } from 'vite';
import { createViteConfig } from '@vtj/cli';
import { createDevTools } from '@vtj/local';
import http2Proxy from '@sy/vite-plugin-http2-proxy';
import proxy from './proxy.config';
import mkcert from 'vite-plugin-mkcert';

const config = createViteConfig({
  proxy,
  plugins: [createDevTools(), http2Proxy(), mkcert()]
});

export default defineConfig({
  ...config,
  server: {
    https: true,
    port: 10011,
    host: true
  }
});
